aboutsummaryrefslogtreecommitdiffstats
path: root/testing/influxdb/APKBUILD
diff options
context:
space:
mode:
authorStefan Wagner <stw@bit-strickerei.de>2016-11-27 02:31:54 +0100
committerCarlo Landmeter <clandmeter@gmail.com>2016-12-06 17:27:32 +0100
commit70a8fb4ee3a856defe4b6f260b445901347991f5 (patch)
tree7e3f1cae9c35ea42009112deb3ad6fc51b3724a6 /testing/influxdb/APKBUILD
parent4dd9320140988c58abc574e73693fe399450d57c (diff)
downloadaports-70a8fb4ee3a856defe4b6f260b445901347991f5.tar.gz
aports-70a8fb4ee3a856defe4b6f260b445901347991f5.tar.bz2
aports-70a8fb4ee3a856defe4b6f260b445901347991f5.tar.xz
testing/influxdb: new aport
Diffstat (limited to 'testing/influxdb/APKBUILD')
-rw-r--r--testing/influxdb/APKBUILD82
1 files changed, 82 insertions, 0 deletions
diff --git a/testing/influxdb/APKBUILD b/testing/influxdb/APKBUILD
new file mode 100644
index 0000000000..32a1308523
--- /dev/null
+++ b/testing/influxdb/APKBUILD
@@ -0,0 +1,82 @@
+# Contributor: Stefan Wagner <stw@bit-strickerei.de>
+# Maintainer: Stefan Wagner <stw@bit-strickerei.de>
+pkgname=influxdb
+pkgver=1.1.0
+pkgrel=0
+pkgdesc="Scalable datastore for metrics, events, and real-time analytics"
+url="https://www.influxdata.com/time-series-platform/influxdb/"
+arch="all"
+license="MIT"
+makedepends="go glide python2 asciidoc xmlto"
+pkgusers="influxdb"
+pkggroups="influxdb"
+install="$pkgname.pre-install"
+subpackages="$pkgname-doc"
+source="influxdb.initd
+ influxdb.logrotate
+ glide.yaml
+ glide.lock
+ "
+builddir="$srcdir/src/github.com/influxdata/$pkgname"
+_git_repo="https://github.com/influxdata/influxdb.git"
+
+unpack() {
+ export GOPATH="$srcdir"
+ git clone --branch v${pkgver} $_git_repo $builddir || return 1
+ cd "$builddir"
+ cp "$srcdir"/glide.yaml "$srcdir"/glide.lock . || return 1
+ glide install --skip-test || return 1
+ default_unpack || return 1
+}
+
+build() {
+ export GOPATH="$srcdir"
+ cd "$builddir"
+ python2 build.py --no-get || return 1
+ make -C man
+}
+
+package() {
+ cd "$builddir"
+
+ install -Dm755 "build/influxd" "$pkgdir/usr/sbin/influxd" || return 1
+ install -Dm755 "build/influx" "$pkgdir/usr/bin/influx" || return 1
+ install -Dm755 "build/influx_tsm" "$pkgdir/usr/bin/influx_tsm" || return 1
+ install -Dm755 "build/influx_inspect" \
+ "$pkgdir/usr/bin/influx_inspect" || return 1
+
+ install -d "$pkgdir/usr/share/man/man1/" || return 1
+ install -Dm644 man/*.1 "$pkgdir/usr/share/man/man1/" || return 1
+
+ install -Dm644 "etc/config.sample.toml" \
+ "$pkgdir/etc/influxdb/influxdb.conf" || return 1
+
+ install -Dm755 "$srcdir/$pkgname.initd" \
+ "$pkgdir/etc/init.d/$pkgname" || return 1
+ install -Dm644 "$srcdir/$pkgname.logrotate" \
+ "$pkgdir/etc/logrotate.d/$pkgname" || return 1
+}
+
+glide_init() {
+ abuild deps clean
+ export GOPATH="$srcdir"
+ git clone --branch v${pkgver} $_git_repo $builddir || return 1
+ cd "$builddir"
+ glide init --non-interactive || return 1
+ glide up --skip-test || return 1
+ cp glide.yaml glide.lock "$startdir"
+ cd $startdir && abuild checksum undeps
+}
+
+md5sums="54bcaed5a2a77027f56e99e98185a95d influxdb.initd
+71164f88bdb1b5388e26d3ae2292d035 influxdb.logrotate
+112882dc7ecc43f5d2c342b6d9bc6cbc glide.yaml
+3afd540d40835696c3b902242fec5277 glide.lock"
+sha256sums="9498954846d5ef2645a8a144b3d33ba5eed9f606149c079dc473ce67509fef74 influxdb.initd
+b15b4ce11fb3489a7c6143297c348067762276b022ac4b650b6149088c10d315 influxdb.logrotate
+06cd6a830ddf2e7724b97ec1b27ba4eccc6ea7175ccd994562dc1e13db52d957 glide.yaml
+e48de7d51db67fb2cee3b8499fbe7ca3a237822fbc413e01f800da44d46ebe41 glide.lock"
+sha512sums="55d5776fde330001f254fed4b01163d576d1995c23b08ef64c3c33b7a53fa49c71092867a17149d3148af7a8e17dc4779481afe9dd54a86eeee16168dbb964e0 influxdb.initd
+5d754e3aeec912bae8f5bf2f84153d4ccc82918d9c728631e8b9ad6737fab3352af0ab63f46ac80aab6384d779bae5d321da0465f26fd8798a9694f7d79f879d influxdb.logrotate
+a06d038e44e0cbcf127e9d420efcde7fcdd5a41854e70f1dfbd0a733f6b6be001a9500e5278bfe69f0836698fd8a2d24094dd041b42057444a48e21590c330af glide.yaml
+5ceffeb1f44f6eb413edf147c729adfdc5cd82695735f8f182f8a2aa923eac345728a49ba43b5296d659c263ba5a08a47f6de114579bf94983f663948e819c40 glide.lock"